Subject: poison ivy remedy naturelle

From: [email-masked]
Date: Mon, 9 Jan 1995 01:31:48 GMT

The plant you are thinking of is commonly called touch-me-not or
jewelweed.  Impatiens capensis.  Grows in wet areas; showy 1/2" orange
flowers in summer; neat exploding pods in fall.  Rub the green coating
off the individual seeds for a SURPRISE.  Seeds are edible; taste like
walnuts.  Works a little on PI.